KBindingPropsPlugin Class Reference

`#include <kpropertiesdialog.h>`

Inheritance diagram for KBindingPropsPlugin:

## Public Member Functions

| KBindingPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
Public Member Functions inherited from KPropsDlgPlugin
| KPropsDlgPlugin (KPropertiesDialog *_props)
void | setDirty (bool b)
bool | isDirty () const

## Static Public Member Functions

static bool | supports (KFileItemList _items)
Static Public Member Functions inherited from KPropsDlgPlugin
static bool | isDesktopFile (KFileItem *_item)

## Additional Inherited Members

Public Slots inherited from KPropsDlgPlugin
void | setDirty ()
Signals inherited from KPropsDlgPlugin
void | changed ()
Protected Member Functions inherited from KPropsDlgPlugin
virtual void | virtual_hook (int id, void *data)
Protected Attributes inherited from KPropsDlgPlugin
KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=MimeType.

Definition at line 692 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KBindingPropsPlugin::KBindingPropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 2662 of file kpropertiesdialog.cpp.

## Member Function Documentation

void KBindingPropsPlugin::applyChanges | ( |  | ) |

virtual

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 2771 of file kpropertiesdialog.cpp.

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys